NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
Wrong versions of DBG installed with PHPEd 3.3.1 (eval).


Joined: 24 May 2004
Posts: 13
Reply with quote
I am unable to get the debugger to work with PHPEd 3.3.1 (eval). I'm running it on WinXP Pro, using a the remote server option for the project. The actual server is Apache 1.3.26 running on the same WinXP box, mapped as localhost at 127.0.0.1. PHP 4.3.7 is running as a module on Apache.

When attempting to run a script in debug mode, I get an error dialog...

Failed to start debugger session (timeout)
Please verify if debugger module is installed on the server the corresponds to "http://localhost/test1.php" URL.
Also make sure the server is up and running.

After confirming that DBG was installed properly via phpinfo() on the localhost, I found this post on the forum...

http://forum.nusphere.com/tip-troubleshooting-debugger-communications-t579.html

It indicated that I needed DBG version 2.16 to run with PHPEd 3.3. My phpinfo() reports version 2.11.23. I tried reinstalling the php_dbg.dll file that was from php_dbg.dll-4.3.6 that came in the \nusphere\php\extensions file in the extensions directory specified in php.ini; restarted apache, then reran phpinfo. But, the DBG version still shows 2.11.23.

How can I get version 2.16 installed? I am unable to identify the php_dbg.dll file that corresponds to this version, which, according to the post is required for PHPEd 3.3 to function.

Thanks.

Jimbo

UPDATE:

Hold on, I've noticed the change in DBG version number to 2.16.7. Perhaps I had old info in the IE cache when I checked before.

Ok. I'm still having problems getting DBG to work on my local machine. But, let me try a few things out first.
View user's profileFind all posts by jimbonusphereSend private message
Fixed


Joined: 24 May 2004
Posts: 13
Reply with quote
It appears that I've done something to fix the problems and at least get a debug session working.

1. I had some weird directives in the [debug] section of php.ini. They were JIT directives that believe I picked up in another DBG forum. I removed them.

2. I wasn't clear on which IP address was actually making the connection to the debugger (localhost 127.0.0.1 or my IP, 192.168.2.102). Before, I has the entry 'localhost' instead of the IP address (I guess that doesn't work). They are the same machine, but I wasn't clear on which entry to include in the [debugger] section. That's becuase the 'bind' address in the listener is set to the machine's IP address, 192.168.2.102. Now that I look at the listener status, it appears that the client IP address is indeed 127.0.0.1.

I still have a small problem in that I get an error dialog when starting a script in debug mode:

Failed to map remote file
"c:\foxserv\www\test1.php"
to any local file

I'm don't know why I'm getting that or exactly what it means.

JImbo
View user's profileFind all posts by jimbonusphereSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7881
Reply with quote
If you run Apache on the same machine please proceed with this:
http://forum.nusphere.com/howto-setup-phped-with-local-apache-or-iis-t647.html
View user's profileFind all posts by dmitriSend private messageVisit poster's website


Joined: 22 May 2004
Posts: 8
Reply with quote
Quote:
I am unable to get the debugger to work with PHPEd 3.3.1 (eval). I'm running it on WinXP Pro, using a the remote server option for the project. The actual server is Apache 1.3.26 running on the same WinXP box, mapped as localhost at 127.0.0.1. PHP 4.3.7 is running as a module on Apache
.

I didn't find the dbg module for PHP 4.3.7 in 3.3.1 eval, so: what are you using as dbg module in php extensions dir ?

Glam
View user's profileFind all posts by glamclubSend private message
debugger extension for 4.3.7?


Joined: 24 May 2004
Posts: 13
Reply with quote
To answer your question, my installation of PHPEd came with a number of php_dbg.dll extension files in /program files/nusphere/php/extensions. I grabbed the one named php_dbg.dll-4.3.6 and copied it into the /extensions directory specified in php.ini.

Even though the version on the file name is 4.3.6, it seems to work with php 4.3.7. More importantly, the DBG version number showing in phpinfo() is 2.16, which according to other posts, is the only one that works with PHPEd 3.3.

Did that answer your question?

JImbo
View user's profileFind all posts by jimbonusphereSend private message
Wrong versions of DBG installed with PHPEd 3.3.1 (eval).
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic